#!/bin/bash
########################################################################
#  'install.sh' for the program consoleSudoku.            
#                                                           
#  License: GNU GPL-V3. For more details read the file COPYING
#  Author & copyright: Peter Rossnagel <pewrn@t-online.de>  
#  Version: 0.11
#  Date: 03-June-2016
########################################################################
# 'install.sh' based on the code and explanations given at:
# http://wiki.freepascal.org/Deploying_Your_Application
# especially:
# http://wiki.freepascal.org/Deploying_Your_Application#Creating_a_Makefile_for_your_Lazarus_software
#
# License information: 
# http://wiki.freepascal.org/Licensing
########################################################################
NAME="consoleSudoku"

# Parses command line options. Currently supported options is:
# DESTDIR      Destination root directory
DESTDIR=""     
for arg; do
  case $arg in
    DESTDIR=*) DESTDIR=${arg#DESTDIR=};;
  esac;
done

BINDIR=$DESTDIR/usr/bin
MANDIR=$DESTDIR/usr/share/man/man6
DOCDIR=$DESTDIR/usr/share/doc/packages/$NAME
     
echo "Installing consoleSudoku..."

mkdir -p $DOCDIR $BINDIR $MANDIR
install --mode=755 $NAME $BINDIR/
install --mode=644 $NAME.6.gz $MANDIR/
install --mode=644 README COPYING ChangeLog AUTHORS $DOCDIR/ 

echo "Installation done."
     
