#!/bin/bash
########################################################################
#  'make.sh' for the program consoleSudoku.            
#                                                           
#  License: GNU GPL-V3. For more details read the file COPYING
#  Author & copyright: Peter Rossnagel <pewrn@t-online.de>  
#  Version: 0.11
#  Date: 03-June-2016
########################################################################
# 'install.sh' based on the code and explanations given at:
# http://wiki.freepascal.org/Deploying_Your_Application
# especially:
# http://wiki.freepascal.org/Deploying_Your_Application#Creating_a_Makefile_for_your_Lazarus_software
#
# License information: 
# http://wiki.freepascal.org/Licensing
########################################################################
set -e

# Detects and parses the architecture
ARCH=$(uname -m)
case "$ARCH" in 
     "i686") ARCH="i386";;
     "i586") ARCH="i386";;
     "i486") ARCH="i386";; 
esac
echo "Target architecture: $ARCH"
     
if [ $ARCH = "x86_64" ]; then LCLDir="/usr/lib64/lazarus/"
else LCLDir="/usr/lib/lazarus"
fi
echo "LAZTarget: $LCLDir"
     
# Building the IDE and LCL
OS="linux"
echo "Target operating system: $OS"
     
# Command line to build the sofware
VER=$(fpc -iW)
echo "Compiler version: $VER"
     
echo "Compiling project..."
fpc -MObjFPC -Scghi -Cg -O1 -g -gl -l -vewnhibq -Fu. -Fulib/$ARCH-$OS -o./consoleSudoku consoleSudoku.pas
